
#ifndef TESTWIDGET_H
#define TESTWIDGET_H


#include <QOpenGLWindow>
#include <QPaintEvent>
#include <QResizeEvent>


// Forward Declarations
class tTestRenderThread;


class tTestWidget: public QOpenGLWindow
{
	Q_OBJECT

public:
	tTestWidget(QWindow* pParent = 0);

	~tTestWidget();


protected:
	//----- Inherited from QWidget -----//

	void paintEvent(QPaintEvent* pEvent);

    void resizeEvent(QResizeEvent* pEvent);

    QPaintEngine* paintEngine() const { return 0; }

    void paintGL() {}

    void resizeGL() {}

    void initializeGL() {}



private:
	void CreateRenderThread();

	void RenderScene();

	
	//----- Member Variables (Attributes) -----//

	tTestRenderThread* m_pRenderThread;
};







#endif  // TESTWIDGET_H


