
#include <QtGlobal>
#include <QApplication>

#include "MainWindow.h"

#ifdef Q_WS_X11
#include <X11/Xlib.h>
#endif

#ifdef STATIC_PLUGINS

#ifdef Q_WS_QPA
#include <QtPlugin>
Q_IMPORT_PLUGIN(navicofb)
#endif

#endif

/***************************************************************************/

int main(int argc, char *argv[])
{   
#ifdef Q_WS_X11
    XInitThreads();
#endif

    QApplication app(argc, argv);
    tMainWindow mainWindow;

    mainWindow.show();
    app.connect(&app, SIGNAL(lastWindowClosed()), &app, SLOT(quit()));

    return app.exec();
}
