
#include "MainWindow.h"

#include "TestWidget.h"

#include <QApplication>
#include <QTimer>


/***************************************************************************/

tMainWindow::tMainWindow(QWidget *parent, Qt::WindowFlags flags): 
    QMainWindow(parent, flags)
{    
    m_pTestWidget = new tTestWidget();
    setCentralWidget(QWidget::createWindowContainer(m_pTestWidget, this));

    QSize size(480, 480);
    this->resize(size);

    QTimer* pTimer = new QTimer(this);
	connect(pTimer, SIGNAL(timeout()), m_pTestWidget, SLOT(update()));
    pTimer->start(2000);
}

/***************************************************************************/

tMainWindow::~tMainWindow()
{
}

/***************************************************************************/

